## irssi-rocketchat 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(irssi-rocketchat C)

find_package(PkgConfig REQUIRED)

pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(LIBWEBSOCKETS REQUIRED libwebsockets>=4.1)
pkg_check_modules(JANSSON REQUIRED jansson>=2.11)

set(IRSSI_INCLUDE_DIR "/usr/include/irssi" CACHE PATH "Irssi development files path")
set(IRSSI_INCLUDE_DIRS
    ${IRSSI_INCLUDE_DIR}
    ${IRSSI_INCLUDE_DIR}/src
    ${IRSSI_INCLUDE_DIR}/src/core
    ${IRSSI_INCLUDE_DIR}/src/fe-common/core)

file(GLOB CORE_SRCS src/core/*.c)
add_library(rocketchat_core MODULE ${CORE_SRCS})

target_include_directories(rocketchat_core PRIVATE
    ${IRSSI_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${LIBWEBSOCKETS_INCLUDE_DIRS}
    ${JANSSON_INCLUDE_DIRS})
target_compile_definitions(rocketchat_core PRIVATE -DUOFF_T_LONG)
target_compile_options(rocketchat_core PRIVATE -Wall -Werror -Wno-error=deprecated-declarations)
target_link_libraries(rocketchat_core
    ${GLIB_LIBRARIES}
    ${LIBWEBSOCKETS_LIBRARIES}
    ${JANSSON_LIBRARIES})

file(GLOB FE_COMMON_SRCS src/fe-common/*.c)
add_library(fe_rocketchat MODULE ${FE_COMMON_SRCS})
target_include_directories(fe_rocketchat PRIVATE
    src/core
    ${IRSSI_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${LIBWEBSOCKETS_INCLUDE_DIRS}
    ${JANSSON_INCLUDE_DIRS})
target_compile_definitions(fe_rocketchat PRIVATE -DUOFF_T_LONG)
target_compile_options(fe_rocketchat PRIVATE -Wall -Werror -Wno-error=deprecated-declarations)
target_link_libraries(fe_rocketchat
    ${GLIB_LIBRARIES}
    ${LIBWEBSOCKETS_LIBRARIES}
    ${JANSSON_LIBRARIES})

install(TARGETS rocketchat_core fe_rocketchat
    LIBRARY DESTINATION ~/.irssi/modules)

=== debian/changelog ===
irssi-rocketchat (0.6.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1015241)

 -- Rhonda D'Vine <rhonda@debian.org>  Sat, 16 Jul 2022 18:22:18 +0200

=== debian/control ===
Source: irssi-rocketchat
Section: net
Priority: optional
Maintainer: Rhonda D'Vine <rhonda@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, irssi-dev, libglib2.0-dev, libjansson-dev, libwebsockets-dev (>= 4.1)
Standards-Version: 4.6.1
Homepage: https://github.com/jajm/irssi-rocketchat
Vcs-Browser: https://salsa.debian.org/debian/irssi-rocketchat
Vcs-Git: https://salsa.debian.org/debian/irssi-rocketchat.git

Package: irssi-plugin-rocketchat
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Rocket.Chat plugin for irssi
 With this plugin for irssi you can connect to a Rocket.Chat server and
 communicate with people on that instance.

## irssi-rocketchat 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,8 @@
     ${IRSSI_INCLUDE_DIR}/src
     ${IRSSI_INCLUDE_DIR}/src/core
     ${IRSSI_INCLUDE_DIR}/src/fe-common/core)
+
+set(IRSSI_MODULEDIR "${CMAKE_INSTALL_PREFIX}/lib/irssi/modules" CACHE PATH "Irssi modules directory (where to install modules)")
 
 file(GLOB CORE_SRCS src/core/*.c)
 add_library(rocketchat_core MODULE ${CORE_SRCS})
@@ -46,4 +48,4 @@
     ${JANSSON_LIBRARIES})
 
 install(TARGETS rocketchat_core fe_rocketchat
-    LIBRARY DESTINATION ~/.irssi/modules)
+    LIBRARY DESTINATION ${IRSSI_MODULEDIR})

=== debian/changelog ===
irssi-rocketchat (0.8.0-1) experimental; urgency=medium

  * New upstream release, patch removed which is included upstream.
  * Add README.md to docs installed (closes: #1021307)
  * Bump Standards-Version to 4.7.0.
  * debian/control: hardcod depends on libwebsockets-evlib-glib for now until
    we figured out how this should be get detected (closes: #1021306)

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 24 Jul 2024 08:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Rhonda D'Vine <rhonda@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, irssi-dev, libglib2.0-dev, libjansson-dev, libwebsockets-dev (>= 4.1)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/jajm/irssi-rocketchat
 Vcs-Browser: https://salsa.debian.org/debian/irssi-rocketchat
 Vcs-Git: https://salsa.debian.org/debian/irssi-rocketchat.git
@@ -14,6 +14,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ libwebsockets-evlib-glib
 Description: Rocket.Chat plugin for irssi
  With this plugin for irssi you can connect to a Rocket.Chat server and
  communicate with people on that instance.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -D IRSSI_MODULEDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/irssi/modules

=== debian/watch ===
version=4
USCAN_SYMLINK=rename
https://github.com/jajm/irssi-rocketchat/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
